%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-posix_ipc
Version:        0.9.8
%define base_release .1
Release:        1%{?dist}%{?base_release}
Summary:        POSIX IPC primitives (semaphores and shared memory) for Python
Group:          Development/Languages
License:        BSD
URL:            http://semanchuk.com/philip/posix_ipc/
Source0:        http://semanchuk.com/philip/posix_ipc/posix_ipc-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  python-devel python-setuptools


%description
posix_ipc is a Python module (written in C) that permits creation and
manipulation of POSIX inter-process semaphores, shared memory and message
queues on platforms supporting POSIX Realtime Extensions, POSIX 1003.1b-1993.


%prep
%setup -q -n posix_ipc-%{version}
chmod 644 demo/make_all.sh
chmod 644 demo2/cleanup.py
chmod 644 demo/cleanup.py


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT


%clean


%files
%defattr(-,root,root,-)
%doc README LICENSE demo demo2
%{python_sitearch}/*


%changelog
* Fri Sep 12 2014 baseuser@ibm.com
- Base-f19.x spec file
